| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Poly1 Class Reference
Numerical Utilities » Functor Objects » Advanced Functors

Implements a polynomial of degree n. More...

`#include <Func1.h>`

Inheritance diagram for Poly1:
[legend]

## Detailed Description

Implements a polynomial of degree n.

The functor class with type `"polynomial"` returns

\[ f(x) = a_n x^n + \dots + a_1 x + a_0 \]

Definition at line 1169 of file Func1.h.

## Public Member Functions
| Poly1 (size_t n, const double *c)
| Poly1 (const vector< double > &params)
| Constructor uses \( n + 1 \) parameters in the following order: \( [a_n, \dots, a_1, a_0] \).
| Poly1 (const Poly1 &b)
Poly1 & | operator= (const Poly1 &right)
string | type () const override
| Returns a string describing the type of the function.
Func1 & | duplicate () const override
| Duplicate the current function.
double | eval (double t) const override
| Evaluate the function.
Public Member Functions inherited from Func1
| Func1 (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Func1 (shared_ptr< Func1 > f1, double A)
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual int | ID () const
string | typeName () const
| Returns a string with the class name of the functor.
double | operator() (double t) const
| Calls method eval to evaluate the function.
virtual Func1 & | derivative () const
| Creates a derivative to the current function.
virtual shared_ptr< Func1 > | derivative3 () const
| Creates a derivative to the current function.
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same.
virtual double | isProportional (TimesConstant1 &other)
virtual double | isProportional (Func1 &other)
virtual string | write (const string &arg) const
| Write LaTeX string describing function.
double | c () const
| Accessor function for the stored constant.
void | setC (double c)
| Function to set the stored constant.
Func1 & | func1 () const
| accessor function for m_f1
shared_ptr< Func1 > | func1_shared () const
| Accessor function for m_f1_shared.
Func1 & | func2 () const
| accessor function for m_f2
shared_ptr< Func1 > | func2_shared () const
| Accessor function for m_f2_shared.
virtual int | order () const
| Return the order of the function, if it makes sense.
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Protected Attributes
vector< double > | m_cpoly
Protected Attributes inherited from Func1
double | m_c = 0.0
Func1 * | m_f1 = nullptr
Func1 * | m_f2 = nullptr
Func1 * | m_parent = nullptr
shared_ptr< Func1 > | m_f1_shared
shared_ptr< Func1 > | m_f2_shared

## Constructor & Destructor Documentation

## ◆ Poly1() [1/3]

Poly1 | ( | size_t | n,
|  | const double * | c
| ) |  |
| inline

Definition at line 1172 of file Func1.h.

## ◆ Poly1() [2/3]

Poly1 | ( | const vector< double > & | params | ) |

Constructor uses \( n + 1 \) parameters in the following order: \( [a_n, \dots, a_1, a_0] \).

Definition at line 366 of file Func1.cpp.

## ◆ Poly1() [3/3]

Poly1 | ( | const Poly1 & | b | ) |
| inline

Definition at line 1181 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

Poly1 & operator= | ( | const Poly1 & | right | ) |
| inline

Definition at line 1186 of file Func1.h.

## ◆ type()

string type | ( |  | ) | const
| inline override virtual

Returns a string describing the type of the function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 1196 of file Func1.h.

## ◆ duplicate()

Func1 & duplicate | ( |  | ) | const
| override virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Deprecated:
  To be removed after Cantera 3.0. Only used by deprecated methods.

Reimplemented from Func1.

Definition at line 590 of file Func1.cpp.

## ◆ eval()

double eval | ( | double | t | ) | const
| inline override virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 1202 of file Func1.h.

## Member Data Documentation

## ◆ m_cpoly

vector<double> m_cpoly
| protected

Definition at line 1212 of file Func1.h.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp